Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 708512 - app-mobilephone/smstools-3.1.21-r1 : fails to build with -fno-common or gcc-10
Summary: app-mobilephone/smstools-3.1.21-r1 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Tony Vroon
URL:
Whiteboard:
Keywords: PATCH, PullRequest
Depends on:
Blocks: -fno-common gcc-10-stable
  Show dependency tree
 
Reported: 2020-02-06 22:20 UTC by Toralf Förster
Modified: 2021-01-05 12:10 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,14.22 KB, text/plain)
2020-02-06 22:20 UTC, Toralf Förster
Details
app-mobilephone:smstools-3.1.21-r1:20200206-011757.log (app-mobilephone:smstools-3.1.21-r1:20200206-011757.log,448.97 KB, text/plain)
2020-02-06 22:20 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,27.80 KB, text/plain)
2020-02-06 22:20 UTC, Toralf Förster
Details
environment (environment,99.77 KB, text/plain)
2020-02-06 22:21 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,10.36 KB, application/x-bzip)
2020-02-06 22:21 UTC, Toralf Förster
Details
patch for gcc-10 (gcc-10.patch,36.29 KB, patch)
2020-12-09 16:35 UTC, Luide Capanema dos Santos
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-02-06 22:20:48 UTC
 4857 |           writelogfile(LOG_DEBUG, 0, "Splitting this message into %i parts of max %i characters%s.",
      |           ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 4858 |                        parts, (alphabet == ALPHABET_UCS2)? eachpartlen /2 : eachpartlen, (alphabet == ALPHABET_UCS2)? " (unicode)" : "");
      |                        ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: extras.o:(.bss+0x2da0): multiple definition of `yes_chars'; /var/tmp/portage/app-mobilephone/smstools-3.1.21-r1/temp/cc5Gdpaw.o:(.bss+0x5be0): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: extras.o:(.bss+0x2d20): multiple definition of `no_chars'; /var/tmp/portage/app-mobilephone/smstools-3.1.21-r1/temp/cc5Gdpaw.o:(.bss+0x5b60): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_systemd-20200205-101527

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *



Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.6
  [3]   python3.7 (fallback)
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *



ghc:
The Glorious Glasgow Haskell Compilation System, version 8.0.2

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Thu, 06 Feb 2020 00:13:50 +0000

emerge -qpvO app-mobilephone/smstools
[ebuild  N    ] app-mobilephone/smstools-3.1.21-r1  USE="-stats"
Comment 1 Toralf Förster gentoo-dev 2020-02-06 22:20:51 UTC
Created attachment 612148 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-02-06 22:20:54 UTC
Created attachment 612150 [details]
app-mobilephone:smstools-3.1.21-r1:20200206-011757.log
Comment 3 Toralf Förster gentoo-dev 2020-02-06 22:20:57 UTC
Created attachment 612152 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2020-02-06 22:21:00 UTC
Created attachment 612154 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2020-02-06 22:21:03 UTC
Created attachment 612156 [details]
etc.portage.tbz2
Comment 6 Luide Capanema dos Santos 2020-12-09 16:35:50 UTC
Created attachment 677473 [details, diff]
patch for gcc-10
Comment 7 Larry the Git Cow gentoo-dev 2021-01-02 20:16:47 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7e800fb79ead62e7e3aeed1bb22ba64ab96b1ed4

commit 7e800fb79ead62e7e3aeed1bb22ba64ab96b1ed4
Author:     Jakov Smolic <jakov.smolic@sartura.hr>
AuthorDate: 2021-01-02 20:16:31 +0000
Commit:     David Seifert <soap@gentoo.org>
CommitDate: 2021-01-02 20:16:31 +0000

    app-mobilephone/smstools: Port to EAPI 7 and GLEP 81
    
    Closes: https://bugs.gentoo.org/708512
    Signed-off-by: Jakov Smolic <jakov.smolic@sartura.hr>
    Signed-off-by: David Seifert <soap@gentoo.org>

 app-mobilephone/smstools/Manifest                  |  1 +
 app-mobilephone/smstools/metadata.xml              | 14 ++--
 app-mobilephone/smstools/smstools-3.1.21-r2.ebuild | 75 ++++++++++++++++++++++
 3 files changed, 83 insertions(+), 7 deletions(-)